Page MenuHomePhabricator

Revert "eo beta - mark task, io classes as beta because they are..."
ClosedPublic

Authored by zmike on Sep 10 2019, 10:34 AM.

Details

Summary

This reverts commit 5455a2dcf7ded4e0fe91c0a6b734998278de8fe8.

these classes were explicitly stabilized for 1.22

see T7599, T7600, T7601

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Sep 10 2019, 10:34 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Sep 10 2019, 10:34 AM
cedric accepted this revision.Sep 25 2019, 10:54 AM

I think we have not much choice here and have to keep the non @beta state for this class. I also think we can manage to detect events registration and later add a new way to get data via a different event that would be more optimized. Kind of sad to have non perfect API, but this is going to happen and we will have other case that need handled. Will not land this right away to hear a better against argument, but we will want to land this before the release.

This revision is now accepted and ready to land.Sep 25 2019, 10:54 AM
stefan_schmidt accepted this revision.Sep 30 2019, 1:20 AM
stefan_schmidt added a subscriber: stefan_schmidt.

Problems of the API aside this was released as public API already, we can't simply go back to beta a for it.

@cedric it would be good if you could work on a way to detect the event registration. Depending on how invasive it is we can also have that as a backport.

This revision was automatically updated to reflect the committed changes.